/**
 * NewGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGraphCanvas extends GraphCanvas{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private StateVars state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGraphCanvas(StateVars state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setLabelAxis(true);
	setYRangeMax(1.0);
	setYRangeMin(0.0);
	
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Solution # 1",""+state.frequency,"  f [ Hz ]","");
	setBand(state.F1,state.F2,state.fpos1,state.fpos2,state.BigBand1);
	setRefPoint(state.frequency_scan, state.scanpoint);
	
	plot(state.x_freq,state.F_array);
   }
   
}
